' *
' * The project site is at: http://sourceforge.jp/projects/fishbornas/
' *
' * First author tiritomato 2012.
' *
' * Distributed under the FishbornArchiveShelf License (See
' *  file "Licenses/License.txt" contained in a project, or the following link.
' *  http://sourceforge.jp/projects/fishbornas/scm/svn/blobs/head/trunk/Licenses/License.txt)
' *
' * 2012.06.07 Initial Revision (tiritomato)
' *

Partial Public Class Logic

    Partial Class Collections

        Public Interface IKeyValuePair(Of TKey, TValue)
            Property Key As TKey
            Property Value As TValue
        End Interface

        Public Class KeyValuePair(Of TKey, TValue)
            Implements IKeyValuePair(Of TKey, TValue)
            Public Property Key As TKey Implements IKeyValuePair(Of TKey, TValue).Key
            Public Property Value As TValue Implements IKeyValuePair(Of TKey, TValue).Value
            Public Sub New()
            End Sub
            Public Sub New(ByVal key As TKey, ByVal value As TValue)
                Me.Key = key
                Me.Value = value
            End Sub
        End Class

    End Class

End Class

